Public Attributes | List of all members
gattc_prf_cbs_t Struct Reference
BLE » Profile » Profile Client » Structures

GATTC Profile callback Structures. More...

`#include <ble_prf.h>`

## Public Attributes
void(* | app_gattc_srvc_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_srvc_disc_t *p_prim_srvc_disc)
void(* | app_gattc_inc_srvc_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_incl_disc_t *p_inc_srvc_disc)
void(* | app_gattc_char_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_char_disc_t *p_char_disc)
void(* | app_gattc_char_desc_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_char_desc_disc_t *p_char_desc_disc)
void(* | app_gattc_read_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_read_rsp_t *p_read_rsp)
void(* | app_gattc_write_cb )(uint8_t conn_idx, uint8_t status, uint16_t handle)
void(* | app_gattc_ntf_ind_cb )(uint8_t conn_idx, const ble_gattc_ntf_ind_t *p_ntf_ind)
void(* | app_gattc_srvc_browse_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_browse_srvc_t *p_browse_srvc)
void(* | app_gattc_prf_reg_cb )(uint8_t conn_idx, uint8_t status, gattc_prf_reg_evt_t reg_evt)

## Detailed Description

GATTC Profile callback Structures.

Definition at line 251 of file ble_prf.h.

## Member Data Documentation

## ◆ app_gattc_char_desc_disc_cb

void(* gattc_prf_cbs_t::app_gattc_char_desc_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_char_desc_disc_t *p_char_desc_disc)

Descriptor Discovery Response callback.

Definition at line 256 of file ble_prf.h.

## ◆ app_gattc_char_disc_cb

void(* gattc_prf_cbs_t::app_gattc_char_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_char_disc_t *p_char_disc)

Characteristic Discovery Response callback.

Definition at line 255 of file ble_prf.h.

## ◆ app_gattc_inc_srvc_disc_cb

void(* gattc_prf_cbs_t::app_gattc_inc_srvc_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_incl_disc_t *p_inc_srvc_disc)

Relationship Discovery Response callback.

Definition at line 254 of file ble_prf.h.

## ◆ app_gattc_ntf_ind_cb

void(* gattc_prf_cbs_t::app_gattc_ntf_ind_cb) (uint8_t conn_idx, const ble_gattc_ntf_ind_t *p_ntf_ind)

Handle Value Notification/Indication Event callback.

Definition at line 259 of file ble_prf.h.

## ◆ app_gattc_prf_reg_cb

void(* gattc_prf_cbs_t::app_gattc_prf_reg_cb) (uint8_t conn_idx, uint8_t status, gattc_prf_reg_evt_t reg_evt)

GATT client event register complete callback.

Definition at line 261 of file ble_prf.h.

## ◆ app_gattc_read_cb

void(* gattc_prf_cbs_t::app_gattc_read_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_read_rsp_t *p_read_rsp)

Read Response callback.

Definition at line 257 of file ble_prf.h.

## ◆ app_gattc_srvc_browse_cb

void(* gattc_prf_cbs_t::app_gattc_srvc_browse_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_browse_srvc_t *p_browse_srvc)

Service found callback during browsing procedure.

Definition at line 260 of file ble_prf.h.

## ◆ app_gattc_srvc_disc_cb

void(* gattc_prf_cbs_t::app_gattc_srvc_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_srvc_disc_t *p_prim_srvc_disc)

Primary Service Discovery Response callback.

Definition at line 253 of file ble_prf.h.

## ◆ app_gattc_write_cb

void(* gattc_prf_cbs_t::app_gattc_write_cb) (uint8_t conn_idx, uint8_t status, uint16_t handle)

Write complete callback.

Definition at line 258 of file ble_prf.h.

The documentation for this struct was generated from the following file:

- ble_prf.h